1. Shipping
Printags Public
  • Accounts
    • Get current account
      GET
    • Get an account by ID
      GET
  • Orders
    • Find orders
      GET
    • Get an order by ID
      GET
    • Create a new order
      POST
    • Validate an order
      POST
  • Files
    • Upload a file
      POST
    • Get a file by ID
      GET
  • Statuses
    • Get all statuses
      GET
  • Shipping
    • List available carriers
      GET
    • Calculate shipping rates
      POST
  • Models
    • List available models
      GET
  • Schemas
    • Account
    • Address
    • Customer
    • Model
    • Product
    • ProductGroup
    • SubscriptionPlan
    • Shipping
    • ShippingCarrier
    • ShippingRate
    • ShippingEnvelope
    • Order
    • NFC
  1. Shipping

List available carriers

GET
/shipping/carriers
Returns the carrier services available for a destination, each with its computed price. Useful to let a customer pick a carrierServiceId before creating an order. Only services whose price is greater than 0 for the requested destination are returned.

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Query Params

Responses

🟢200
application/json
Successfully retrieved available carriers
Bodyapplication/json

🟠400
🟠401
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/shipping/carriers?to_country=undefined&to_postal_code=undefined&weight=undefined' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
    "success": true,
    "count": 2,
    "carriers": [
        {
            "id": "lpf_standard",
            "name": "La Poste - Lettre Suivie",
            "code": "laposte",
            "hasServicePoints": false,
            "apiProvider": "laposte",
            "countries": [
                "FR",
                "BE"
            ],
            "enabledCountries": [
                "FR",
                "BE",
                "LU"
            ],
            "price": 2.3,
            "weightTier": 0,
            "priceTiers": {
                "0": 2.3,
                "250": 3
            },
            "minWeight": 0,
            "maxWeight": 3000
        }
    ]
}
Modified at 2026-06-17 14:17:50
Previous
Get all statuses
Next
Calculate shipping rates
Built with